package com.xhkjedu.smarking.model.report.reportsubject;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @Description 阅卷报告-学科知识点分段区间表
 * @Author auto
 * @Date 2024-12-09
 */
@Data
@Table(name = "msr_subject_point_group")
public class MsrSubjectPointGroup extends BaseBean {
    @Id
    //阅卷报告-学科知识点排名分组
    private Integer spgid;
    //考试ID
    private Integer examid;
    //科目ID
    private String subjectid;
    //知识点ID
    private String pointid;
    //知识点层级1一级2二级3三级
    private Integer pointlevel;
    //排名分组
    private String grouprank;
    //分数段
    private String scoresection;
    //学生数量
    private Integer stunum;
    //学生ids
    private String stuids;
}
