package com.xhkjedu.sclass.model.classroom;

import lombok.Data;

import javax.persistence.*;

@Table(name = "t_classroom_infor")
@Data
public class TClassroomInfor {
    /**
     * 课堂资料表
     */
    @Id
    private Integer inforid;

    /**
     * 课堂ID
     */
    private Long roomid;

    /**
     * 教材ID
     */
    private String lsbid;

    /**
     * 章节ID
     */
    private String directorid;

    /**
     * 文档地址
     */
    private String inforpath;

    /**
     * 文档pdf地址
     */
    private String inforpdf;

    /**
     * 文档大小
     */
    private Integer inforsize;

    /**
     * 创建人ID
     */
    private Integer createid;

    /**
     * 创建时间
     */
    private Integer createtime;

    /**
     * 学校ID
     */
    private Integer schoolid;
}