package com.xhkjedu.smarking.mapper.wholeparam;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.smarking.model.wholeparam.MspReportparam;
import com.xhkjedu.smarking.vo.wholeparam.GradeParams;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Description：阅卷指标参数-等级类参数表
 * @Author: WN
 * @Date: 2024/12/2 16:14:48
 **/
public interface MspGradeparamMapper extends TkMapper<MspReportparam> {

    //获取学校年级下指定模块参数
    List<MspReportparam> getGradeParamByGradeAndBelong(@Param("gp") GradeParams gp);
    //删除
    int deleteGradeparam(@Param("list")List<Integer> list);

    //获取学校指定年级下所有参数
    List<MspReportparam> listAllByGrade(@Param("schoolid") Integer schoolid,@Param("gradeid") Integer gradeid);
}
