package com.xhkjedu.smarking.model.exam;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

/**
 * @Description 阅卷科目违规学生表
 * @Author auto
 * @Date 2024-10-15
 */
@Data
@Table(name = "ms_subject_badstudent")
public class MsSubjectBadstudent extends BaseBean {
    @Id
    //阅卷科目违规学生表
    private Integer msbsid;
    //考试科目表id
    private Integer msid;
    //学生id
    private Integer studentid;
    //违规类型1不在屏幕2多人3切出来
    private Integer badtype;
    //违规图片地址
    private String picpath;
    //违规时间
    private Integer createtime;

    @Transient
    private Integer mpid;//试卷ID
}
