package com.xhkjedu.smarking.model.report.reportother;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @Description 阅卷指标参数-报考参数表
 * @Author auto
 * @Date 2024-12-02
 */
@Data
@Table(name = "msr_reportparam")
public class MsrReportparam extends BaseBean {
    @Id
    //等级类参数ID
    private Integer rpid;
    //考试ID
    private Integer examid;
    //归属：allrate班级对比表综合率  gradescore分档分数线 nearline临界生群体分析 subjectshow学科考试表现
    //  keystu重点学生信息
    private String rpbelong;
    //类型
    private Integer rptype;
    //等级值
    private Integer gradenum;
    //科目ID
    private String subjectid;
    //数值json
    private String szjson;
    //操作人ID
    private Integer handleid;
    //操作时间
    private Integer handletime;
}
